Package ghidra.app.events

# Class FirstTimeAnalyzedPluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.FirstTimeAnalyzedPluginEvent

public class FirstTimeAnalyzedPluginEvent extends PluginEvent
Plugin event class for notification of when programs have completed being analyzed for the first time.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EVENT_NAME`

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FirstTimeAnalyzedPluginEvent(String sourceName, Program program)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Program`
  `getProgram()`
  Returns the `Program` that has just been analyzed for the first time.

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getDetails, getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EVENT_NAME

    public static final String EVENT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FirstTimeAnalyzedPluginEvent

    public FirstTimeAnalyzedPluginEvent(String sourceName, Program program)
    Constructor
    Parameters:
      `sourceName` - source name of the plugin that created this event
      `program` - the program that has been analyzed for the first time

- ## Method Details

  - ### getProgram

    public Program getProgram()
    Returns the `Program` that has just been analyzed for the first time. This method can return null, but only if the program has been closed and is no longer in use which can't happen if the method is called during the original event notification.
    Returns:
      the `Program` that has just been analyzed for the first time.